org.eclipse.microprofile.fault.tolerance.tck.fallback.clientserver

## Class FallbackWithBeanClient

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallback.clientserver.FallbackWithBeanClient

    @RequestScoped
    public class FallbackWithBeanClient
    extends Object

A client to demonstrate the fallback after doing the maximum retries

Author:
  Emily Jiang

### Constructor Summary

Constructors
Constructor and Description
`FallbackWithBeanClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCounterForInvokingServiceA()`
`int` `getCounterForInvokingServiceB()`
`String` `serviceA()`
`String` `serviceB()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackWithBeanClient

    public FallbackWithBeanClient()

### Method Detail

#### getCounterForInvokingServiceA

    public int getCounterForInvokingServiceA()

#### getCounterForInvokingServiceB

    public int getCounterForInvokingServiceB()

#### serviceA

    @Retry(maxRetries=1)
     @Fallback(value=StringFallbackHandlerWithBean.class)
    public String serviceA()

#### serviceB

    @Retry(maxRetries=2)
     @Fallback(value=StringFallbackHandlerWithBean.class)
    public String serviceB()